# - Try to find PolkitTQt-1
# Once done this will define
#
#  POLKITTQT-1_FOUND - system has Polkit-tqt
#  POLKITTQT-1_INCLUDE_DIR - the Polkit-tqt include directory
#  POLKITTQT-1_LIBRARIES - Link these to use all Polkit-tqt libs
#  POLKITTQT-1_CORE_LIBRARY - Link this to use the polkit-tqt-core library only
#  POLKITTQT-1_GUI_LIBRARY - Link this to use GUI elements in polkit-tqt (polkit-tqt-gui)
#  POLKITTQT-1_AGENT_LIBRARY - Link this to use the agent wrapper in polkit-tqt
#  POLKITTQT-1_DEFINITIONS - Compiler switches required for using Polkit-tqt
#
# The minimum required version of PolkitTQt-1 can be specified using the
# standard syntax, e.g. find_package(PolkitTQt-1 1.0)

# Copyright (c) 2010, Dario Freddi, <drf@kde.org>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

# Support POLKITTQT-1_MIN_VERSION for compatibility:
if ( NOT PolkitTQt-1_FIND_VERSION AND POLKITTQT-1_MIN_VERSION )
  set ( PolkitTQt-1_FIND_VERSION ${POLKITTQT-1_MIN_VERSION} )
endif ( NOT PolkitTQt-1_FIND_VERSION AND POLKITTQT-1_MIN_VERSION )

set( _PolkitTQt-1_FIND_QUIETLY  ${PolkitTQt-1_FIND_QUIETLY} )
find_package( PolkitTQt-1 ${PolkitTQt-1_FIND_VERSION} TQUIET NO_MODULE PATHS ${LIB_INSTALL_DIR}/PolkitTQt-1/cmake )
set( PolkitTQt-1_FIND_QUIETLY ${_PolkitTQt-1_FIND_QUIETLY} )

include( FindPackageHandleStandardArgs )
find_package_handle_standard_args( PolkitTQt-1 DEFAULT_MSG PolkitTQt-1_CONFIG )

if (POLKITTQT-1_FOUND)
    if (NOT POLKITTQT-1_INSTALL_DIR STREQUAL CMAKE_INSTALL_PREFIX)
        message("WARNING: Installation prefix does not match PolicyKit install prefixes. You probably will need to move files installed "
                "in POLICY_FILES_INSTALL_DIR and by dbus_add_activation_system_service to the ${POLKITTQT-1_INSTALL_DIR} prefix")
    endif (NOT POLKITTQT-1_INSTALL_DIR STREQUAL CMAKE_INSTALL_PREFIX)
endif (POLKITTQT-1_FOUND)
