/*
 * This file is part of the Polkit-tqt project
 * Copyright (C) 2009 Daniel Nicoletti <dantti85-pk@yahoo.com.br>
 * Copyright (C) 2009 Dario Freddi <drf@kde.org>
 * Copyright (C) 2009 Jaroslav Reznik <jreznik@redhat.com>
 * Copyright (C) 2009 Radek Novacek <rnovacek@redhat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB. If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef DUMMY_CORE_H
#define DUMMY_CORE_H

#define POLKIT_TQT_EXPORT TQ_EXPORT


/**
 * \namespace PolkitTQt1 PolkitTQt
 *
 * \brief Namespace wrapping Polkit-TQt classes
 *
 * This namespace wraps all Polkit-TQt classes.
 */
namespace PolkitTQt
{

/**
 * \class DummyCore
 *
 * \brief Convenience class for TQt/KDE applications
 *
 * This class is a dummy used for initial basic compiling.
 */
class POLKIT_TQT_EXPORT DummyCore
{
public:

    static DummyCore* instance();
};

}

#endif
